Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Interface AccTravInvoke

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  AccTravInvokeImpl

public interface AccTravInvoke
extends java.io.Serializable

This interface describes the actual ViewLink accessor to invoke.

As each row is retrieved, a matching accessor traversal qualifier (AccTravQualifier) is located. If one is found, its AccTravInvoke's are used to invoke the accessor.

For each AccTravInvoke, after the row is retrieved, the accessor traversal definition associated with this AccTravInvoke (returned by `getAccTravDef()` becomes the next accessor level's accessor traversal definition.

Since:
  JDeveloper 10.1.2
See Also:
  `AccTravDef`, `AccTravQualifier`

Method Summary
`java.lang.String` | `getAccName()` Returns the name of the ViewLink accessor.
`AccTravDef` | `getAccTravDef()` Returns the next accessor level traversal definition.
`void` | `setAccTravDef(AccTravDef accTravDef)` Sets the next accessor level traversal definition.

Method Detail

### getAccName

    public java.lang.String getAccName()

  Returns the name of the ViewLink accessor.
  Returns:
    the accessor name.

### getAccTravDef

    public AccTravDef getAccTravDef()

  Returns the next accessor level traversal definition.
  Returns:
    the next accessor level traversal definition.

### setAccTravDef

    public void setAccTravDef(AccTravDef accTravDef)

  Sets the next accessor level traversal definition.
  Parameters:
    `accTravDef` - the next accessor level traversal definition to be associated with accessor invocation.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.